List all swaps
curl --request GET \
--url https://production.hifibridge.com/v2/wallets/swaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/wallets/swaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/wallets/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"data": [
{
"transferType": "WALLET.SWAP",
"transferDetails": {
"id": "dc923cc1-d74b-58f6-9fe4-9e9c6eb8dc37",
"requestId": "1ab3e6e0-4839-4dbe-89c3-b06d9645ae86",
"status": "COMPLETED",
"createdAt": "2025-08-20T03:55:29.437108+00:00",
"updatedAt": "2025-08-20T04:08:10.837+00:00",
"source": {
"currency": "usdc",
"amount": 10,
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6"
},
"destination": {
"currency": "usdt",
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"externalWalletId": null,
"amount": null,
"chain": "POLYGON",
"walletAddress": "0xe5727a4B1d93A26D6A7Adfaae145EFa41ED7f204"
},
"error": null,
"errorDetails": null,
"cancellable": true,
"autoCancelAt": "2026-07-13T02:00:00.000Z",
"cancelRequestedAt": null,
"quoteInformation": {
"sendGross": {
"amount": "10",
"currency": "usdc"
},
"sendNet": {
"amount": "10",
"currency": "usdc"
},
"receiveGross": {
"amount": "10",
"currency": "usdc"
},
"receiveNet": {
"amount": "10",
"currency": "usdc"
},
"rate": "1",
"limitPrice": "0.9990",
"expiresAt": "2025-08-20T03:55:59.539+00:00"
}
}
}
],
"nextCursor": "2025-08-20T04:08:10.837+00:00"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Swaps
List all swaps
Returns a list of swaps associated with a user under your organization. The swaps are returned sorted by creation date, with the most recent swaps appearing first.
GET
/
v2
/
wallets
/
swaps
List all swaps
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The user ID.
default to 10, maximum to 100
ISO format: YYYY-MM-DD
ISO format: YYYY-MM-DD
⌘I